<div class="bg-white border-end {{ $collapsed ? 'w-25' : 'w-75' }}" style="min-height: 100vh; transition: width 0.3s;">
    @if(!$collapsed)
        <div class="text-center py-3 border-bottom" style="height: 65px;">
            <img src="{{ $systemPreferences ?? ($userInfo['logo'] ?? 'https://via.placeholder.com/40') }}" alt="Logo" style="height: 100%;">
        </div>
    @else
        <div class="py-4 text-center" style="height: 64px; background: url('{{ $systemPreferences ?? ($userInfo['logo'] ?? 'https://via.placeholder.com/40') }}') no-repeat center / contain;"></div>
    @endif

    <div class="nav flex-column {{ !$collapsed ? 'pt-4' : '' }}" style="height: 90vh; overflow-y: auto;">
        @foreach($navigation as $item)
            @if(isset($item['child']))
                <div class="nav-item dropdown">
                    <a class="nav-link text-dark {{ $collapsed ? 'px-3' : 'px-4' }}" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        <i class="{{ $item['icon'] }} me-2"></i>
                        @if(!$collapsed) {{ $item['label'] }} @endif
                    </a>
                    <ul class="dropdown-menu">
                        @foreach($item['child'] as $subItem)
                            @if($subItem['access'])
                                <li><a class="dropdown-item" href="{{ $subItem['path'] }}">{{ $subItem['label'] }}</a></li>
                            @endif
                        @endforeach
                    </ul>
                </div>
            @else
                <a class="nav-link text-dark {{ $collapsed ? 'px-3' : 'px-4' }}" href="{{ $item['path'] }}">
                    <i class="{{ $item['icon'] }} me-2"></i>
                    @if(!$collapsed) {{ $item['label'] }} @endif
                </a>
            @endif
        @endforeach
    </div>
</div>