<div class="row justify-content-center align-items-center">
    <div class="col-12 col-sm-12 col-lg-6 col-xl-6">
        <h1 class="text-center">Registration</h1>

        @if($status === 'error' && session('error'))
            <div class="alert alert-danger mb-3" role="alert">
                {{ session('error') }}
            </div>
        @endif

        <form wire:submit.prevent="register">
            <div class="mb-3 row">
                <label for="email" class="col-sm-4 col-form-label">E-mail</label>
                <div class="col-sm-8">
                    <input type="email" class="form-control @error('email') is-invalid @enderror" wire:model="email" id="email">
                    @error('email') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>
            </div>

            <div class="mb-3 row">
                <label for="password" class="col-sm-4 col-form-label">Password</label>
                <div class="col-sm-8">
                    <input type="password" class="form-control @error('password') is-invalid @enderror" wire:model="password" id="password">
                    @error('password') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>
            </div>

            <div class="mb-3 row">
                <label for="confirm_password" class="col-sm-4 col-form-label">Confirm Password</label>
                <div class="col-sm-8">
                    <input type="password" class="form-control @error('confirm_password') is-invalid @enderror" wire:model="confirm_password" id="confirm_password">
                    @error('confirm_password') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>
            </div>

            <div class="mb-3 row">
                <label for="first_name" class="col-sm-4 col-form-label">First Name</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control @error('first_name') is-invalid @enderror" wire:model="first_name" id="first_name">
                    @error('first_name') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>
            </div>

            <div class="mb-3 row">
                <label for="middle_name" class="col-sm-4 col-form-label">Middle Name</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control @error('middle_name') is-invalid @enderror" wire:model="middle_name" id="middle_name">
                    @error('middle_name') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>
            </div>

            <div class="mb-3 row">
                <label for="last_name" class="col-sm-4 col-form-label">Last Name</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control @error('last_name') is-invalid @enderror" wire:model="last_name" id="last_name">
                    @error('last_name') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>
            </div>

            <div class="mb-3 row">
                <label for="website" class="col-sm-4 col-form-label">Website</label>
                <div class="col-sm-8">
                    <select class="form-select @error('website') is-invalid @enderror" wire:model="website" id="website">
                        <option value="">Select Website</option>
                        <option value="option1">Option 1</option>
                        <option value="option2">Option 2</option>
                    </select>
                    @error('website') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>
            </div>

            <div class="text-center">
                <button type="submit" class="btn btn-primary" wire:loading.attr="disabled" wire:target="register">
                    <span wire:loading wire:target="register">Registering...</span>
                    <span wire:loading.remove wire:target="register">Register</span>
                </button>
            </div>
        </form>

        <div class="text-center mt-3">
            Back to <a href="{{ route('login') }}">Login</a>
        </div>
    </div>
</div>

@if(session('success'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'success',
            title: 'Success',
            text: '{{ session('success') }}',
        });
    </script>
@endif

@if(session('error'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'error',
            title: 'Error',
            text: '{{ session('error') }}',
        });
    </script>
@endif